Subject: AW: SIP server generated challenge (Was Re: AW: [AAA-WG]: Re: Com ments on draft-ietf-aaa-diameter-sip-app-04(pre).txt)

From: "Beck01, Wolfgang" <[email-masked]>
Date: Tue, 31 Aug 2004 17:18:04 +0200

Miguel,

you wrote:
> Wolfgang:
> 
> So, just for my understanding... Is the scenario you mentioned, the one 
> that you describe in draft-sterman Section 1.3, "Scenario 1, RADIUS 
> client chooses nonces" ?
Yes
> 
> If I understand correctly, the SIP server generates the nonce and the 
> rest of the Digest directives (realm, qop, etc.). The Radius server is 
> computing the final authentication, since it stores the user name, 
> password, etc.
Yes

> As I see it, this scenario is a variant of Section 5.2 in Diameter SIP 
> application, where the first set of MAR/MAA commands (steps 5 and 6) are 
> omitted.
> 
> Can you verify that my assumption is correct? If it is, I can add a new 
> section to the Diameter SIP app. describing this scenario. I believe 
> there is no impact in the protocol, since this new scenario is a subset 
> of an existing one. So I believe MAR/MAA need not be modified.
I will check that (I have some other deadlines this week, so I apologize
for not having it checked today).

Wolfgang